Redmine - Defect #10656

Email notifications not working as expected?
2012-04-13 08:02 - Daniel Morgan

Status: Closed Start date:

Priority: High Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version: 1.3.2

Description
Using Redmine 1.3.2 with MySQL on WindowsXP SP3.

The "Email notifications" settings on the "My Account" page does not seem to work as interpreted.

* Only for things | am assigned to
This supposedly implies that an email is sent out only for issues the user is set as "Assignee".
However, an email is sent out when the user is only an watcher of the issue.

¢ Only for things | am the owner of
This supposedly implies that an email is sent out only for issues the user is set as "Author".
However, an email is sent out when the user is only an watcher of the issue.

Looking at the code of the method watcher_recipients, it looks as though watchers are sent an email even if they have set either of
the above settings in their Account Settings.

Related issues:

Related to Redmine - Defect #14825: News: email notification to users Closed
Related to Redmine - Patch #24177: Change translation for label_user_mail_opt... Closed
Has duplicate Redmine - Defect #20874: | had set "only for things i am assign... Closed
History

#1 - 2012-04-20 02:34 - Daniel Morgan

Issue still present in 1.4.0.
Can anyone respond to whether my interpretation of the "Email notifications" settings is correct?

#2 - 2012-04-20 10:00 - David Boyer
| agree with you, the wording of the email setting does make it a little confusing. It does make sense to me that if I've selected items to "watch" then
I'll still receive notifications. Only because you (from what | can tell) have to manually select items, whereas other emails are sent because of system
events.
Perhaps there should me another setting for watch notifications being sent or not.
#3 - 2012-04-20 10:21 - Daniel Morgan
David Boyer wrote:
| agree with you, the wording of the email setting does make it a little confusing. It does make sense to me that if I've selected items to "watch"
then I'll still receive notifications. Only because you (from what | can tell) have to manually select items, whereas other emails are sent because
of system events.
Perhaps there should me another setting for watch notifications being sent or not.
| agree with your interpretation if | selected to watch an item myself.

However, when someone creates an issue, they can add however many watchers they want.
In this case, the item was not selected by me and therefore lacks consistency.

#4 - 2012-04-20 16:51 - Terence Mill

This is a defect from my undertstanding too!

Watchers shall only be send emails for setting "Only for things i'm involved in" and
below.

#5 - 2013-09-16 10:30 - Toshi MARUYAMA

- Related to Defect #14825: News: email notification to users added

#6 - 2015-09-29 09:35 - Toshi MARUYAMA

- Has duplicate Defect #20874: | had set "only for things i am assigned to" for my account in Email notifications , why i still receivec the email ? added

#7 - 2017-01-14 03:04 - Go MAEDA

- Related to Patch #24177: Change translation for label_user_mail_option_only (assigned/owner) added

#8 - 2017-01-14 03:05 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

The wording of the email setting was changed by #24177 (Redmine 3.4.0) as follows.

e Only for things | watch or | am assigned to
¢ Only for things | watch or | am the owner of
